.miam-recipe-stepper {
  display: flex;
  flex-direction: column;
  width: 100%;

  label{
    font-size: 19px;
    line-height: 24px;
    span{
      color: var(--m-color-secondary);
    }
  }
  .miam-recipe-stepper__padding{
    height: 32px;
    width: 100%;
    background-color: var(--m-color-unpure-white);
    position: relative;
    button {
      position: absolute;
      left: 40px;
      z-index: 3;
      padding: 8px 16px;
      ng-miam-icon {
        margin-left: 0;
        padding-top: 20px;
        height: 16px;
        transform: rotate(90deg);
        svg{
          path:first-of-type{
            fill: none;
          }
        }
      }
    }
  }
  .miam-recipe-stepper__links{
    position: sticky;
    top: 0;
    z-index: 2;
    background-color: var(--m-color-unpure-white);
    display: flex;
    width: 100%;
    justify-content: space-evenly;
    align-items: center;
    padding: 16px 0;
   
   
    .miam-recipe-stepper__link{
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      cursor: pointer;
     
      .miam-recipe-stepper__link__number{
        border-radius: 64px;
        width: 64px;
        height: 64px;
        border: solid 1px;
        font-style: normal;
        font-weight: bold;
        font-size: 32px;
        line-height: 44px;
        display: flex;
        justify-content: center;
        align-items: center;
        color: var(--m-color-grey02);
      }

      .miam-recipe-stepper__link__name{
        padding-top: 8px;
        color: var(--m-color-grey02);
      }

      &.active{
        .miam-recipe-stepper__link__number{
          color: var(--m-color-unpure-white);
          border-color: var(--m-color-secondary) ;
          background-color: var(--m-color-secondary);
       
        }
        .miam-recipe-stepper__link__name{
          color: var(--m-color-secondary) ;
        }
      }
    }
    .miam-recipe-stepper__link__divider{
      height: 1px;
      width: 64px;
      background-color: #E9E9E9, ;
    }
  }
  .miam-recipe-stepper__section{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
    padding: 84px 0;
    gap: 64px;

    .miam-recipe-stepper__mandatory {
      position: absolute;
      top: 84px;
      right: 13%;
      color: var(--m-color-danger);
    }

    &:nth-child(even){
      background-color: var(--m-color-primary-light);
    }

    ng-miam-text-input{
      .miam-text-input{
        background-color:var(--m-color-unpure-white);
      }
    }

    ng-miam-select-input{
      .miam-select{
        background-color: var(--m-color-unpure-white);
        width: 330px;
      }
     
    }

    .miam-recipe-stepper__section__guests{
      display: flex;
      gap: 16px;
    }

    .miam-recipe-stepper__section__row{
      display: flex;
      width: 100%;
      justify-content: center;
      gap: 64px;

      
      .miam-recipe-stepper__row__description{
        label {
          margin-top: 16px;
        }

        textarea.m-input{
          width: 700px;
          height: 150px;
          max-width: 700px;
          resize: none;
        }

        .miam-recipe-stepper__description__counter{
          color: var(--m-color-light-slate);
          margin: 8px;
          text-align: end;
        }
      }
      .miam-recipe-stepper__picture {
        display: flex;
        flex-direction: column;
        width: 330px;
        gap: 8px;

        .miam-uploader {
          margin-bottom: 0;
        }

        .miam-recipe-stepper__picture__warning {
          position: relative;
          display: flex;
          color: var(--m-color-warning-text);
          border: 1px solid var(--m-color-warning);
          padding: 8px;
          gap: 12px;
          border-radius: 8px;

          .miam-recipe-stepper__picture__warning__background {
            position: absolute;
            width: 100%;
            height: 100%;
            background-color: var(--m-color-warning);
            opacity: 0.15;
            top: 0;
            left: 0;
            border-radius: 8px;
          }
        }
      }
    }

    .miam-recipe-stepper__section__times{
      display: flex;
      justify-content: space-evenly;
      gap: 32px;
    }

    .miam-recipe-stepper__attibutes__slider {
      width: 560px;
      label{
        width: 100% ;
        text-align: center;
      }
    }

    .miam-list-input{
      display: flex;
      flex-direction: row-reverse;
      gap: 32px;

      .miam-list-input__actions {
        margin-top: 50px;
        position: relative;
        
        textarea{
          height: 300px !important;
          min-height: 300px !important;
          max-height: 300px !important;
          width: 400px;
          max-width: calc(98vw - 776px);
        }

        button{
          margin-top: 16px;
        }
      }
    }

    ng-miam-list-input:first-of-type .miam-list-input__actions .miam-list-input__actions__instructions {
      &::before {
        content: "Merci d'indiquer la quantité en premier comme indiqué dans les exemples.\a\a";
        font-weight: bold;
      } 
    }
  }
  
  ng-miam-loader{
    width: 100%;
    display: flex;
    justify-content: center;
    padding: 50vh;
  }
  
  .miam-recipe-stepper__footer{
    display: flex;
    justify-content: center;
    gap: 64px;
    padding: 64px 0px;
  }
}